### Method

# GLib VariantBuilder init_static

since: 2.84

#### Declaration [src]

    void
    g_variant_builder_init_static (
      GVariantBuilder* builder,
      const GVariantType* type
    )

#### Description [src]

Initialises a `GVariantBuilder` structure.

This function works exactly like `g_variant_builder_init()` but does not make a copy of `type`. Therefore, `type` must remain valid for the lifetime of `builder`. This is always true of type constants like `G_VARIANT_TYPE_*` or `G_VARIANT_TYPE ("(ii)")`.

Available since: 2.84

This method is not directly available to language bindings.

#### Parameters

`type`

  Type: `GVariantType`

  A container type.

  The data is owned by the caller of the method.